Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.bytecode.opencsv.bean
Class CsvToBean

    java.lang.Object
      au.com.bytecode.opencsv.bean.CsvToBean

public class CsvToBean
extends java.lang.Object

Constructor Summary
`CsvToBean()`

Method Summary
`protected java.lang.Object` | `convertValue(java.lang.String value, java.beans.PropertyDescriptor prop)`
`protected java.beans.PropertyEditor` | `getPropertyEditor(java.beans.PropertyDescriptor desc)`
`java.util.List` | `parse(MappingStrategy mapper, java.io.Reader reader)`
`protected java.lang.Object` | `processLine(MappingStrategy mapper, java.lang.String[] line)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CsvToBean

    public CsvToBean()

Method Detail

### parse

    public java.util.List parse(MappingStrategy mapper,
                                java.io.Reader reader)

### processLine

    protected java.lang.Object processLine(MappingStrategy mapper,
                                           java.lang.String[] line)
                                    throws java.lang.IllegalAccessException,
                                           java.lang.reflect.InvocationTargetException,
                                           java.lang.InstantiationException,
                                           java.beans.IntrospectionException

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`
    `java.lang.InstantiationException`
    `java.beans.IntrospectionException`

### convertValue

    protected java.lang.Object convertValue(java.lang.String value,
                                            java.beans.PropertyDescriptor prop)
                                     throws java.lang.InstantiationException,
                                            java.lang.IllegalAccessException

  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

### getPropertyEditor

    protected java.beans.PropertyEditor getPropertyEditor(java.beans.PropertyDescriptor desc)
                                                   throws java.lang.InstantiationException,
                                                          java.lang.IllegalAccessException

  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Bytecode Pty Ltd.